%define module	POE-Component-Client-Ident
%define name	perl-%{module}
%define version	1.04
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A component that provides non-blocking ident lookups to your sessions
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/POE/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(POE)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
POE::Component::Client::Ident is a POE component that provides non-blocking
Ident lookup services to other components and sessions. The Ident protocol
is described in RFC 1413

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/POE
%_mandir/*/*



%changelog
* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.04-1mdv2007.0
+ Revision: 94357
- 1.04

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 1.01-1mdv2007.0
+ Revision: 54025
- Import perl-POE-Component-Client-Ident


* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
- New release 1.01
- spec cleanup

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdk
- 1.00

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdk
- New release 0.9

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8-1mdk
- 0.8

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Buildrequires fix 

* Wed Sep 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- First mandriva package
